{% load static %}

<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap dan CSS -->
    <link rel="stylesheet" href="{% static 'styling.css' %}">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    
    <!-- Navigation Bar --> 
    <nav class="navbar navbar-expand-sm navbar-dark bg-dark">  
    <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link" href="/lab-4/add-note">Add Note</a>
        </li>
        <li class="nav-item active">
          <a class="nav-link" href="/lab-4/note-list">Note Card</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="/lab-4/">Note Table</a>
        </li>
        </ul>
    </nav>
    </br>
  </head>

  <body class="body">
    <h1 class="NoteCard">Note Card</h1>
    </br>
    <div class="card-columns">
        {% if notes %}
        {% for a_note in notes %}
        <div class="card" style="width: 20rem; height: 16rem;">
            <div class="card-body">
                <h4 class="card-title" style="text-align: center;">{{a_note.title}}</h4>
                <div class="card-text">
                    <p>From: {{a_note.From}} </p>
                    <p>To: {{a_note.to}} </p>
                    <p>Message: {{a_note.message}}</p>
                </div>
            </div>
        </div>
        {% endfor %}
        {% endif %}
    </div>
  </body>
</html>